=== debian/changelog ===
ros-indigo-sr-hand (1.4.0-0trusty) trusty; urgency=high

  * starting trajectory controllers only for the arm when running arm + hand as it is more standard. Can't have both running with ros_control
  * removing cartesian control - not implemented in ros-control + changing to the new traj controller
  * Added shutdown-timeout=1.0 in controller spawner to improve shutdown time
    Added a boolean to stop spinner in gazebo controller manager plugin to improve shutdown
  * Better ethercat compatibility
  * Add arguments to allow launching a particular robot model on gazebo.
  * Moved gnuplot as a run dependency since sr_self_test is also running outside the gtest
    Fixed missing image_path
  * mod debug mode of launch file
    added args for launching gazebo
    renamed joint variable in python because it shadowed import
  * deleting deprecated rviz config
  * adding the standard ros topics to our old hand interface - useulf for the virtual hand

 -- Shadow Robot's software team <software@shadowrobot.com>  Mon, 06 Apr 2015 23:00:00 -0000

ros-indigo-sr-hand (1.3.1-0trusty) trusty; urgency=high



 -- Shadow Robot's software team <software@shadowrobot.com>  Thu, 17 Jul 2014 23:00:00 -0000

ros-indigo-sr-hand (1.3.0-0trusty) trusty; urgency=high

  * first hydro release

 -- Shadow Robot's software team <software@shadowrobot.com>  Tue, 11 Feb 2014 00:00:00 -0000
